Subject: Re: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Michael Albinus <[email-masked]>
Date: Tue, 22 Nov 2022 15:30:24 +0100

João Távora <[email-masked]> writes:

Hi João,

>     Both seem to be OK, although I'm not sure that it is the right
>     approach in eglot--path-to-uri just to concat "file://" and the
>     file-local-name part of a remote file name.
>
> Can you describe a case where this would be problematic? Remember
> that, from the point of view of the server, the file is always local.
> That's regardless of whether eglot invoked the server remotely or
> locally.

Got it.

Best regards, Michael.